import React from 'react';

declare type VisibleProps = {
    fallback?: React.ReactNode;
    when?: any;
};
/**
 * Conditionally show children, with an optional fallback component.
 * @param {React.Node} children - child component(s).
 * @param {React.ReactNode} fallback - Singleton fallback component.
 * @param {Any} when - Condition to be met in order for children to show..
 * @returns {React.Node|Null} children, fallback, or null, depending on the condition and existence of fallback.
 */
declare const Visible: React.FC<VisibleProps>;

export { Visible, VisibleProps };
